org.apache.cayenne.dba.sybase

## Class SybaseMergerFactory

- java.lang.Object
- - org.apache.cayenne.merge.MergerFactory
  - - org.apache.cayenne.dba.sybase.SybaseMergerFactory

-     public class SybaseMergerFactory
      extends MergerFactory

  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SybaseMergerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergerToken` | `createAddColumnToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createDropColumnToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetAllowNullToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetColumnTypeToDb(DbEntity entity, DbAttribute columnOriginal, DbAttribute columnNew)`
    `MergerToken` | `createSetNotNullToDb(DbEntity entity, DbAttribute column)`

    - ### Methods inherited from class org.apache.cayenne.merge.MergerFactory

      `createAddColumnToModel, createAddRelationshipToDb, createAddRelationshipToModel, createCreateTableToDb, createCreateTableToModel, createDropColumnToModel, createDropRelationshipToDb, createDropRelationshipToModel, createDropTableToDb, createDropTableToModel, createSetAllowNullToModel, createSetColumnTypeToModel, createSetNotNullToModel, createSetPrimaryKeyToDb, createSetPrimaryKeyToModel, createSetValueForNullToDb`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SybaseMergerFactory

          public SybaseMergerFactory()

  - ### Method Detail

    - #### createAddColumnToDb

          public MergerToken createAddColumnToDb(DbEntity entity,
                                        DbAttribute column)

      Overrides:
        `createAddColumnToDb` in class `MergerFactory`
      Since:
        3.0

    - #### createDropColumnToDb

          public MergerToken createDropColumnToDb(DbEntity entity,
                                         DbAttribute column)

      Overrides:
        `createDropColumnToDb` in class `MergerFactory`
      Since:
        3.0

    - #### createSetNotNullToDb

          public MergerToken createSetNotNullToDb(DbEntity entity,
                                         DbAttribute column)

      Overrides:
        `createSetNotNullToDb` in class `MergerFactory`
      Since:
        3.0

    - #### createSetAllowNullToDb

          public MergerToken createSetAllowNullToDb(DbEntity entity,
                                           DbAttribute column)

      Overrides:
        `createSetAllowNullToDb` in class `MergerFactory`
      Since:
        3.0

    - #### createSetColumnTypeToDb

          public MergerToken createSetColumnTypeToDb(DbEntity entity,
                                            DbAttribute columnOriginal,
                                            DbAttribute columnNew)

      Overrides:
        `createSetColumnTypeToDb` in class `MergerFactory`
      Since:
        3.0

Copyright © 2001–2014 Apache Cayenne. All rights reserved.